<form (ngSubmit)="onSubmit()" #productForm=ngForm>
	<fieldset>
		<legend>New product</legend>

		<label for="name">Name:</label>
		<input type="text" name="name" class="form-control" [(ngModel)]="product.nom" #nomInput=ngModel required minlength="4" />
		<div *ngIf="nomInput.dirty && !nomInput.valid" class="alert alert-danger p-0">
			<div *ngIf="nomInput.errors.required">
				Nom is required.
			</div>
			<div *ngIf="nomInput.errors.minlength">
				Nom must be at least 4 characters long.
			</div>
		</div>

		<label for="description">Description:</label>
		<textarea name="description" class="form-control" [(ngModel)]="product.description" #descriptionInput=ngModel maxlength="300"></textarea> 
		<div *ngIf="descriptionInput.dirty && !descriptionInput.valid" class="alert alert-danger p-0">
			<div *ngIf="descriptionInput.errors.maxlength">
				Description must be at most 300 characters long.
			</div>
		</div>

		<label for="price">Price:</label>
		<input type="number" name="price" class="form-control" [(ngModel)]="product.prix" step="0.01" min="1" max="1000000000" required #prixInput=ngModel>
		<div *ngIf="prixInput.dirty && !prixInput.valid" class="alert alert-danger p-0">
			<div *ngIf="prixInput.errors.required">
				Prix is required.
			</div>
			<div *ngIf="prixInput.errors.min">
				Prix must be greater than 0.
			</div>
			<div *ngIf="prixInput.errors.max">
				Prix must be lower than 1 billion.
			</div>
		</div>

		<label for="images">Images:</label>
		<div class="border rounded" style="width:100%;display:grid;grid-template-columns:1fr 1fr;">
			<div class="text-center border-right border-bottom p-1">File from URL</div>
			<div class="text-center border-bottom p-1">File from Disk</div>
			<div class="border-right p-1" style="height:100px;">
				<ul id="file-from-url-container" class="list-unstyled m-1">
				</ul>
			</div>
			<div class="p-1" style="height:100px;">
				<ul id="file-from-disk-container" class="list-unstyled m-1">
				</ul>
			</div>
			<div style="display:grid; grid-template-columns:1fr auto auto;" class="p-1 border-right">
				<input id="file-from-url-input" type="text" name="fileUrl" class="form-control ml-1">
				<button class="btn btn-success ml-2" type="button" disabled>
					<span class="fas fa-plus fa-lg"></span>
				</button>
				<button class="btn btn-danger ml-1" type="button" disabled>
					<span class="fas fa-times fa-lg" ></span>
				</button>
			</div>
			<div style="display:grid; grid-template-columns:1fr auto auto;" class="p-1">
				<input id="file-from-disk-input" type="file" name="fileDisk" class="form-control-file ml-1">
				<button class="btn btn-success ml-1" type="button" disabled>
					<span class="fas fa-plus fa-lg"></span>
				</button>
				<button class="btn btn-danger ml-1" type="button" disabled>
					<span class="fas fa-times fa-lg" ></span>
				</button>
			</div>
		</div>
	</fieldset>
	
	<div class="text-center">
		<input type="reset" class="btn btn-secondary" />
		<input type="submit" id="submit" class="btn btn-success"  [disabled]="!productForm.valid"/>
	</div>
	
</form>